Bug 1699112 - CVE-2019-10906 python-jinja2: str.format_map allows sandbox escape [openstack-rdo]
Summary: CVE-2019-10906 python-jinja2: str.format_map allows sandbox escape [openstack...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: Shai Revivo
URL:
Whiteboard: component:python-jinja2
Depends On:
Blocks: CVE-2019-10906
TreeView+ depends on / blocked
 
Reported: 2019-04-11 20:01 UTC by Tomas Hoger
Modified: 2020-08-10 11:19 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 11:19:03 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2019-04-11 20:01:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of openstack-rdo.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Alfredo Moralejo 2020-07-30 13:15:28 UTC
Updating python-jinja2 for CentOS7 in https://review.rdoproject.org/r/#/c/28753/

RDO on CentOS8 uses de jinja2 provided on OS repos.

Comment 2 Yatin Karel 2020-08-10 11:19:03 UTC
Updated for stein/train with https://review.rdoproject.org/r/#/c/28753/ and https://review.rdoproject.org/r/#/c/28802/


Note You need to log in before you can comment on or make changes to this bug.